@font-face{
    font-family: 'SantanderHeadline';
    src: url('./SantanderHeadlineW05-Bold.woff2') format('woff2');
    font-weight: 700;
}
@font-face{
    font-family: 'SantanderMicroText';
    src: url('./SantanderMicroTextW05-Rg.woff2') format('woff2');
    font-weight: 400;
}
lightning-input label, lightning-combobox label, lightning-radio-group legend {
    font-family: 'SantanderMicroText', sans-serif !important;
    font-size: 14px !important;
    font-weight: 400 !important;
    white-space: nowrap !important;
}

lightning-input input, lightning-combobox lightning-base-combobox, lightning-combobox button, lightning-dual-listbox .slds-listbox__option, lightning-dual-listbox .slds-form-element__label {
    font-family: 'SantanderMicroText', sans-serif !important;
    font-size: 14px !important;
    font-weight: 400;
}

lightning-input.input-small input, lightning-combobox.input-small lightning-base-combobox, lightning-combobox.input-small button {
    width: 220px !important;
    height: 36px !important;
}

lightning-input.input-large input, lightning-combobox.input-large lightning-base-combobox, lightning-combobox.input-large button {
    width: 472px !important;
    height: 36px !important;
}

.phone-number-input-small input{
    height: 36px !important;
}

lightning-combobox lightning-base-combobox lightning-base-combobox-item {
    font-family: 'SantanderMicroText', sans-serif !important;
    font-size: 14px !important;
    font-weight: 400;
}

lightning-dual-listbox div.slds-form-element__legend {
    font-family: 'SantanderMicroText', sans-serif !important;
    font-size: 14px !important;
    font-weight: 400;
}

lightning-radio-group, lightning-radio-group legend {
    margin-bottom: 0px !important;
}

lightning-radio-group div.slds-form-element__control {
    display: flex !important;
}

label[part="input-radio"] {
    position: relative !important;
    padding-right: 60px;
}

lightning-button button {
    font-family: 'SantanderMicroText', sans-serif !important;
    font-size: 16px !important;
    font-weight: 400 !important;
}

lightning-input.input-small lightning-datepicker lightning-button-icon {
    position: relative !important;
    right: 24px !important;
}

.slds-has-error .slds-form-element__help, .slds-has-error .slds-form-element__help{
    font-family: 'SantanderMicroText', sans-serif !important;
    color: red !important;
    font-size: 12px !important;
    font-weight: 400 !important;
}

/* CREDIT PROSPECT HOME PAGE */

/* APPLICATIONS DATATABLE */
lightning-datatable.applications-table {
    display: inline-block !important;
    width: 538px !important;
    padding-top: 24px;
}

/* APPLICATIONS DATATABLE BACKGROUND */
lightning-datatable.applications-table div.slds-table_header-fixed_container  {
    background-color: #FFFFFF !important;
}

/* APPLICATIONS DATATABLE HEADER */
lightning-datatable.applications-table lightning-primitive-header-factory {
    /*font-family: 'SantanderMicroText', sans-serif !important;*/
    font-weight: 700 !important;
    font-size: 13px !important;
    vertical-align: middle !important;
    color: #3E3E3C !important;
    background-color: #FAFAF9 !important;
}

/* APPLICATIONS DATATABLE HEADER */
lightning-datatable.applications-table lightning-primitive-header-factory lightning-button-menu {
    display: none !important;
}

/* APPLICATIONS DATATABLE APPLICATION ID COLUMN */
lightning-datatable.applications-table lightning-primitive-cell-factory[data-label="Application ID"] {
    /*font-family: 'SantanderMicroText', sans-serif !important;*/
    font-weight: 700 !important;
    font-size: 13px !important;
    vertical-align: middle !important;
}

/* APPLICATIONS DATATABLE STATUS COLUMN */
lightning-datatable.applications-table lightning-primitive-cell-factory[data-label="Status"] {
    /*font-family: 'SantanderMicroText', sans-serif !important;*/
    font-weight: 400 !important;
    font-size: 13px !important;
    vertical-align: middle !important;
}

/* APPLICATIONS DATATABLE ACTIONS COLUMN */
lightning-datatable.applications-table td[data-label="Action"]:focus,
lightning-datatable.applications-table td[data-label="Action"]:active {
    -webkit-box-shadow: none !important;
    box-shadow: none !important;
}

/* APPLICATIONS DATATABLE ACTIONS COLUMN - DETAILS BUTTON */
lightning-datatable.applications-table lightning-primitive-cell-factory[data-label="Action"] button {
    /*font-family: 'SantanderMicroText', sans-serif !important;*/
    font-weight: 400 !important;
    font-size: 13px !important;
    vertical-align: middle !important;
    border: none !important;
    padding: 0px !important;
    background: none !important;
}
lightning-datatable.applications-table lightning-primitive-cell-factory[data-label="Action"] button:hover,
lightning-datatable.applications-table lightning-primitive-cell-factory[data-label="Action"] button:active,
lightning-datatable.applications-table lightning-primitive-cell-factory[data-label="Action"] button:focus {
    text-decoration: underline;
    box-shadow: none !important;
}

/******************************/
/*   APPLICANT DETAILS PAGE   */
/******************************/

.applicant-details-form-container {
    width: 800px;
    padding-top: 88px;
    margin: auto;
}

.applicant-details-form-header {
    font-family: 'SantanderHeadline', sans-serif;
    font-weight: 700;
    font-size: 24px;
    line-height: 32px;
    vertical-align: middle;
    padding-bottom: 8px;
}

.applicant-details-form-subheader {
    font-family: 'SantanderMicroText', sans-serif;
    font-weight: 400;
    font-size: 18px;
    line-height: 24px;
    vertical-align: middle;
}

.applicant-details-applicant-title {
    font-family: 'SantanderMicroText', sans-serif;
    font-weight: 700;
    font-size: 16px;
    line-height: 24px;
    vertical-align: middle;
}

.applicant-details-address-header {
    font-family: 'SantanderHeadline', sans-serif;
    font-weight: 700;
    font-size: 20px;
    line-height: 24px;
    vertical-align: middle;
    padding-bottom: 8px
}

.applicant-details-address-subheader {
    font-family: 'SantanderMicroText', sans-serif;
    font-weight: 400;
    font-size: 16px;
    line-height: 24px;
    vertical-align: middle;
    padding-bottom: 16px
}

.accordion-headline-section .slds-accordion__summary-heading button span {
    font-family: 'SantanderHeadline', sans-serif !important;
    font-size: 18px !important;
}

.accordion-text-section .slds-accordion__summary-heading button span {
    font-family: 'SantanderMicroText', sans-serif !important;
    font-size: 16px !important;
}

.accordion-text-subsection .slds-accordion__summary-heading button span {
    font-family: 'SantanderMicroText', sans-serif !important;
    font-size: 14px !important;
}

.accordion-section .slds-accordion__summary-heading button span {
    order: 1 !important;
    font-weight: 700 !important;
    line-height: 24px !important;
    vertical-align: middle !important;
}

.accordion-section .slds-accordion__summary-heading button lightning-primitive-icon {
    order: 2 !important;
    position: absolute !important;
    right: 0px !important;
}

.accordion-section section.slds-accordion__section {
    padding-left: 0px !important;
    padding-right: 0px !important;
}

.accordion-section-action {
    position: relative;
}

.accordion-action, .accordion-action-small {
    position: absolute;
}

.accordion-action button {
    font-family: 'SantanderMicroText', sans-serif !important;
    font-weight: 700 !important;
    font-size: 16px !important;
    vertical-align: middle !important;
}

.accordion-action-small button {
    font-family: 'SantanderMicroText', sans-serif !important;
    font-weight: 700 !important;
    font-size: 14px !important;
    vertical-align: middle !important;
}

.accordion-action button lightning-primitive-icon {
    margin-bottom: 4px;
}

.accordion-action button .slds-button__icon {
    height: 16px !important;
    width: 16px !important;
}

.accordion-action_left-small {
    left: 130px;
    top: 8px;
}

.accordion-action_left-medium {
    left: 140px;
    top: 8px;
}

.accordion-action_left-large {
    left: 150px;
    top: 8px;
}

.accordion-action_right {
    right: 40px;
    top: 8px;
}

.field-label-normal-small {
    font-family: 'SantanderMicroText', sans-serif;
    font-weight: 400;
    font-size: 14px;
    line-height: 24px;
    vertical-align: middle;
}

.field-label-bold-small {
    font-family: 'SantanderMicroText', sans-serif;
    font-weight: 700;
    font-size: 14px;
    line-height: 24px;
    vertical-align: middle;
}

.field-label-normal {
    font-family: 'SantanderMicroText', sans-serif;
    font-weight: 400;
    font-size: 16px;
    line-height: 24px;
    vertical-align: middle;
}

.field-label-bold {
    font-family: 'SantanderMicroText', sans-serif;
    font-weight: 700;
    font-size: 16px;
    line-height: 24px;
    vertical-align: middle;
}

.field-label-bold-large {
    font-family: 'SantanderMicroText', sans-serif;
    font-weight: 700;
    font-size: 18px;
    line-height: 24px;
    vertical-align: middle;
}

lightning-helptext.field-label-helptext div.slds-form-element__icon {
    padding-top: 0px !important;
}

.marketing-opt-in-container {
    display: flex;
    flex-direction: column;
}

lightning-checkbox-group.applicant-details-marketing-opt-in div.slds-form-element__control {
    display: flex !important;
}

lightning-checkbox-group.applicant-details-marketing-opt-in label.slds-checkbox__label {
    padding-right: 32px;
}

/********************************************************/
/*   APPLICANTION OVERVIEW / REVIEW APPLICATION PAGES   */
/********************************************************/

.application-details-header {
    font-family: 'SantanderHeadline', sans-serif;
    font-weight: 700;
    font-size: 24px;
    line-height: 24px;
    vertical-align: middle;
}

.review-application-header {
    font-family: 'SantanderHeadline', sans-serif;
    font-weight: 700;
    font-size: 24px;
    line-height: 32px;
    vertical-align: middle;
}

.form-label-small-bold {
    font-family: 'SantanderMicroText', sans-serif;
    font-weight: 700;
    font-size: 14px;
    line-height: 20px;
    vertical-align: middle;
}

/*.accordion-bold-horizontal-line lightning-accordion-section.slds-accordion__list-item {
    border-top-color: #000;
}

.bold-horizontal-line {
    border-top-color: #000;
}*/

lightning-input.input-field-label-normal input, lightning-textarea.input-field-label-normal textarea {
    font-family: 'SantanderMicroText', sans-serif !important;
    font-weight: 400 !important;
    font-size: 16px !important;
    line-height: 24px !important;
}

lightning-textarea.input-field-label-normal textarea {
    padding: 0px !important;
    border: none;
}

.pricing-and-fees-table {
    width: fit-content;
}

.pricing-and-fees-table th,
.pricing-and-fees-table td, 
.pricing-and-fees-table tr {
    border: 1px solid #000;
    text-align: center;
    padding: 4px;
}

/********************/
/*   PHONE NUMBER   */
/********************/

.country-code-input {
    border-radius: 4px 0px 0px 4px;
    border-right: none;
}

.phone-number-input input {
    border-radius: 0px 4px 4px 0px;
    border-left: none;
}

.mobile-number-label-small label,
.mobile-number-label-small input, 
.mobile-number-label-small div.slds-listbox__option span.slds-media__body {
    font-family: 'SantanderMicroText', sans-serif !important;
    font-weight: 400 !important;
    font-size: 14px !important;
    line-height: 24px !important;
    vertical-align: middle !important;
}

.mobile-number-label-normal label,
.mobile-number-label-normal input,
.mobile-number-label-normal div.slds-listbox__option span.slds-media__body {
    font-family: 'SantanderMicroText', sans-serif !important;
    font-weight: 400 !important;
    font-size: 16px !important;
    line-height: 24px !important;
    vertical-align: middle !important;
}

.modal-header {
    font-family: 'SantanderHeadline', sans-serif;
    font-weight: 700;
    font-size: 20px;
    line-height: 24px;
}

.modal-footer {
    background-color: #F0F0F0;
}

.form-spinner.slds-spinner_container {
    background-color: var(--slds-g-color-neutral-100-opacity-75) !important;
}

.form-spinner .slds-spinner--brand .slds-spinner__dot-a:after, 
.form-spinner .slds-spinner--brand .slds-spinner__dot-a:before, 
.form-spinner .slds-spinner--brand .slds-spinner__dot-b:after, 
.form-spinner .slds-spinner--brand .slds-spinner__dot-b:before, 
.form-spinner .slds-spinner--brand.slds-spinner:after, 
.form-spinner .slds-spinner--brand.slds-spinner:before, 
.form-spinner .slds-spinner_brand .slds-spinner__dot-a:after, 
.form-spinner .slds-spinner_brand .slds-spinner__dot-a:before, 
.form-spinner .slds-spinner_brand .slds-spinner__dot-b:after, 
.form-spinner .slds-spinner_brand .slds-spinner__dot-b:before, 
.form-spinner .slds-spinner_brand.slds-spinner:after, 
.form-spinner .slds-spinner_brand.slds-spinner:before {
    background-color: rgb(236, 0, 0);
}

.faqs-title {
    font-family: 'SantanderHeadline', sans-serif;
    font-weight: 700;
    font-size: 24px;
    line-height: 32px;
    vertical-align: middle;
}

lightning-formatted-rich-text.faqs-text p {
    margin-bottom: 12px;
}
